Checks if a field exists

- « SolrInputDocument::__destruct

- SolrInputDocument::getBoost »

- PHP Manual
- SolrInputDocument
- Checks if a field exists

# SolrInputDocument::fieldExists

(PECL solr >= 0.9.2)

SolrInputDocument::fieldExists — Checks if a field exists

### Description

public SolrInputDocument::fieldExists(string `$fieldName`): bool

Checks if a field exists

### Parameters

`fieldName`

  Name of the field.

### Return Values

Returns `true` if the field was found and `false` if it was not found.